#
# spec file for package libglade2 (Version 2.6.0)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cpp41 cracklib cups-libs cvs cyrus-sasl db desktop-translations diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gpm grep groff gtk2 gtk2-devel gtkdoc gzip indent info insserv iso_ent klogd less libacl libattr libcom_err libdrm libgcc41 libgcrypt libgpg-error libjpeg libltdl libmudflap41 libnscd libpng libpng-devel libstdc++41 libtiff libtool libvolume_id libxcrypt libxml2 libxml2-devel libxslt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils python python-devel python-xml rcs readline rpm sed sqlite strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel

Name:           libglade2
BuildRequires:  gnome-common gtk2-devel gtkdoc indent libxml2-devel orbit2-devel python-devel python-xml update-desktop-files
%define prefix	/opt/gnome
License:        LGPL v2.1 or later
AutoReqProv:    on
Summary:        Glade Library Compatible with the GNOME 2.x Desktop Platform
Group:          Development/Libraries/GNOME
Version:        2.6.0
Release:        24
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/libglade/2.3/libglade-%{version}.tar.bz2
Url:            http://www.daa.com.au/~james/gnome/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library allows you to load Glade interface files in a program at
runtime. It does not require that you use Glade, but Glade is the
easiest way to create the interface files.  For an idea of how to use
the library, see the documentation, especially
/usr/share/doc/packages/libglade/test-libgladee.c and the glade-xml.h
include, which is in the libglade package.



Authors:
--------
    James Henstridge <james@daa.com.au>

%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          Development/Libraries/GNOME
Requires:       libglade2 = %{version}
Requires:       libxml2-devel glib2-devel atk-devel gtk2-devel
AutoReqProv:    on

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    James Henstridge <james@daa.com.au>

%package doc
Summary:        Glade Library Compatible with the GNOME 2.x Platform
Group:          Development/Libraries/GNOME
Requires:       %{name} = %{version}

%description doc
This library allows you to load glade interface files into a program at
runtime. It does not require GLADE to be used, but GLADE is by far the
easiest way to create the interface files.  For an idea of how to use
the library, see the documentation, especially
/usr/share/doc/packages/libglade/test-libgladee.c and glade-xml.h
include, that is in the libgladed package.



Authors:
--------
    James Henstridge <james@daa.com.au>

%prep
%setup -q -n libglade-%{version}

%build
%{?suse_update_config:%{suse_update_config -f }}
libtoolize --force
aclocal -I m4
automake
autoconf
CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing" \
./configure --prefix=%prefix --libdir=%prefix/%_lib --enable-bonobo
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{prefix}/%{_lib}/libglade/2.0

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files 
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING
%{prefix}/%_lib/lib*.so.*
%dir %{prefix}/%{_lib}/libglade
%dir %{prefix}/%{_lib}/libglade/2.0

%files devel
%defattr(-, root, root)
%{prefix}/bin/*
%{prefix}/%_lib/*.*a
%{prefix}/%_lib/*.so
%{prefix}/include/libglade-2.0
%{prefix}/%_lib/pkgconfig/*.pc

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/libglade
%{prefix}/share/xml

%changelog
* Sat Jul 22 2006 - gekker@suse.de
- Update to version 2.6.0
  - Win32 portability fixes (Tor)
  - Compiler warning fixes (Kjartan)
  - Fixes for ASCII characters in entries (Matthias)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Sep 27 2005 - mls@suse.de
- make devel package require base package
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Mon Mar 21 2005 - sbrabec@suse.cz
- Fixed Requires of devel subpackage (#61933).
* Thu Mar 03 2005 - gekker@suse.de
- Update to version 2.5.1
- Note: the update below was to 2.5.0
* Thu Dec 16 2004 - gekker@suse.de
- Update version
- Change aclocal to find new xml_catalog macros
* Mon Nov 22 2004 - gekker@suse.de
- Update version to 2.8.0
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 2.3.6 (GNOME 2.6).
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr and %%run_ldconfig
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Fri Jun 20 2003 - sbrabec@suse.cz
- Created empty directory for libglade modules.
* Fri Jun 13 2003 - sbrabec@suse.cz
- Fixed directory packaging.
- Prefix clash fix.
* Tue May 27 2003 - sbrabec@suse.cz
- Clean install-root.
* Fri Oct 18 2002 - sbrabec@suse.cz
- Update to version to 2.0.1.
- Clean up %%files and splitting to sub-packages.
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Thu Aug 15 2002 - hhetter@suse.de
- branch doc package
* Tue Aug 13 2002 - hhetter@suse.de
- build with bonobo support (#17641)
* Fri Jun 07 2002 - hhetter@suse.de
- updated to version 2.0.0
  * gtkdoc improvements
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 1.99.12, source frozen
  * more changes to help with Murray's C++ bindings.
  check whether GTK has a GtkPlug implementation to help with
  * building with gtk targets other than X11.
  Only build the docs if --enable-gtk-doc is passed to configure.
  * pass CFLAGS and LDFLAGS to gtkdoc when building docs, in
  case they are needed to build against the library (fixes
  64-bit solaris issues, #81347).
  * fix up a missing g_object_ref() call in AtkRelationSet
  handling code.
  * More helpful error message if glade file could not be found
  (#80411).
* Wed May 15 2002 - ro@suse.de
- use libdir
* Tue Apr 09 2002 - hhetter@suse.de
- update to version 1.99.10 [gnome desktop beta3]
* Fri Feb 01 2002 - hhetter@suse.de
- updated to version 1.99.6 [gnome desktop alpha2]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 - hhetter@suse.de
- filelist cleanup
- prefix to /opt/gnome2
* Wed Jan 16 2002 - hhetter@suse.de
- build with python-expat support
- provide libglade2-convert
* Fri Jan 11 2002 - hhetter@suse.de
- build with freetype2
* Wed Jan 09 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform
